Bug 676041

Summary: file doesn't detect RPM architecture
Product: [Fedora] Fedora Reporter: Petr Šabata <psabata>
Component: fileAssignee: Jan Kaluža <jkaluza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 13CC: jkaluza
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: file-5.04-7.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 676045 (view as bug list) Environment:
Last Closed: 2011-02-21 07:26:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 676045    

Description Petr Šabata 2011-02-08 17:22:25 UTC
Description of problem:
file doesn't detect certain architectures of RPM files, e.g. ppc64 or s390x.

Version-Release number of selected component (if applicable):
All.

How reproducible:
Always.

Steps to Reproduce:
1. file foo-1.0-1.ppc64.rpm
  
Actual results:
RPM v3.0 bin

Expected results:
RPM v3.0 bin PowerPC 64
(or similar)

Additional info:
File doesn't recognize RPM arches for ppc64, s390, s390x and possibly others.

Comment 1 Fedora Update System 2011-02-10 09:34:56 UTC
file-5.04-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/file-5.04-7.fc13

Comment 2 Fedora Update System 2011-02-10 09:36:25 UTC
file-5.04-16.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/file-5.04-16.fc14

Comment 3 Fedora Update System 2011-02-10 21:27:55 UTC
file-5.04-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update file'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/file-5.04-7.fc13

Comment 4 Fedora Update System 2011-02-21 07:26:00 UTC
file-5.04-16.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-04-17 21:23:37 UTC
file-5.04-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.